package com.shulead.datasync.portalprice;

import java.rmi.RemoteException;

/**
 * @Classname ${NAME}
 * @Description TODO
 * @Version 1.0.0
 * @Date 2024/4/28 17:48
 * @Created by liuxiangshun
 */
public class Main {
    public static void main(String[] args) {
        PortalPriceParams portalPriceParams = new PortalPriceParams();
        portalPriceParams.setBookFees("100");
        portalPriceParams.setClassFees("200");
        portalPriceParams.setClassId("1");
        portalPriceParams.setClassLevelId("1");
        portalPriceParams.setCompanyCode("HZ00");
        portalPriceParams.setEffectiveDate("2024-05-05 00:00:00");
        portalPriceParams.setNurseFees("300");
        portalPriceParams.setTotalClassFees("400");
        portalPriceParams.setTotalFees("600");

        PortalPriceParams[] params = new PortalPriceParams[1];
        params[0] = portalPriceParams;

        PortalPriceWSProxy portalPriceWSProxy = new PortalPriceWSProxy();

        try {
            Result result = portalPriceWSProxy.createPortalPrice(params);
            System.out.println(result);
        } catch (RemoteException e) {
            throw new RuntimeException(e);
        }
    }
}